#!/bin/bash
# script para ordenar la lista.
# ordena y comprueba que no existan lineas duplicadas.
# Se utiliza antes de publicar

cdominios=$(cat tricerads-list.txt | wc -l)
echo "[+] $cdominios dominios antes de ordenar"
touch tricerads-list2.txt

while read dominio
do
	# Pasamos todo a minusculas
	d=$(echo $dominio | tr '[:upper:]' '[:lower:]')
	echo $d >> tricerads-list2.txt
done < tricerads-list.txt

sleep 2
cat tricerads-list2.txt | sort | uniq > tricerads-list3.txt
cdominiosfinal=$(cat tricerads-list3.txt | wc -l)
echo "[+] $cdominiosfinal dominios despues de ordenar"
mv tricerads-list3.txt tricerads-list.txt
rm tricerads-list2.txt
